/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

/* *
 * 
 * Pruebe este programa con los siguientes usuarios y claves:
 * 	
 *	felipe:1234
 *	josefina:hola
 *	leniz:miclave
 * 
 * */

import java.io.IOException;

import iic1102Package.*;

public class LogIn {

	public static void main(String[] args) throws IOException {
		
		String usuario, clave;
		
		Interfaz.MostrarMensaje("Bienvenido al Sistema de Inicio de Sesin de LenizTech");
		
		do {
			
			usuario = Interfaz.PedirString("Ingrese su nombre de usuario:");
			
		} while(usuario.equals(""));
		
		do {
			
			clave = Interfaz.PedirString("Ingrese su clave:");
			
		} while(clave.equals(""));
		
		String[] u, c;
		
		u = BaseDeDatos.getUsuarios();
		c = BaseDeDatos.getClaves();
		
		if(u.length != c.length) {
			
			Interfaz.MostrarMensaje("Error en la Base de Datos.");
			return; //terminar el programa
			
		}
			
		boolean ok = false;
		clave = encriptar(clave);
		
		for(int i=0; i<u.length; ++i) {
			
			if(usuario.equals(u[i]) && clave.equals(c[i])) {
				ok = true;
				break;
			}
			
		}
		
		if(ok)
			Interfaz.MostrarMensaje("Ha iniciado sesin correctamente.");
		else
			Interfaz.MostrarMensaje("Ha ingresado un usuario o clave incorrecta.");


	}
	
	public static String encriptar(String x) {
		
		String enc = "";
		
		for(int i = x.length() - 1; i >= 0; --i)
			enc += (char) (x.charAt(i) - 2);

		return enc;

	}

}