/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

import iic1102Package.*;
import java.io.*;

public class Curso {
	
	private static int ALUMNOS = 101;

	public static void main(String[] args) throws IOException {
		
		Interfaz.MostrarMensaje("Comenzando proceso de creacin de archivos...");

		File archivo = new File("iic1102-4.txt");
		
		//verificamos si el archivo existe y si tenemos acceso para abrirlo
		if(!archivo.exists() || !archivo.canRead()) {
			Interfaz.MostrarMensaje("No se pudo abrir el archivo iic1102-4.txt");
			//si no existe o no podemos abrirlo, retornamos para salir del programa
			return;
		}
		
		FileReader lector = new FileReader(archivo);
		BufferedReader buffer = new BufferedReader(lector);
		
		String linea;
		String[] nombre = new String[ALUMNOS]; //nombres
		int[] nAlumno = new int[ALUMNOS]; //nmeros de alumno
		
		int total = 0;
		
		linea = buffer.readLine();
		while(linea != null && total < ALUMNOS) {
			nombre[total] = linea.substring(0, linea.indexOf("N:") - 1); //le resto uno para borrar el espacio
			//con lo siguiente transformo un String a int para guardarlo en el arreglo de int
			nAlumno[total] = Integer.parseInt(linea.substring(linea.indexOf("N:")+2)); //le sumo dos para borrar "N:"
			++total;
			linea = buffer.readLine();
		}
		
		lector.close();
		buffer.close();
		
		for(int i = 0; i < total; ++i) {
			
			File nuevoArchivo = new File(nombre[i] + ".txt");
			FileWriter escritor = new FileWriter(nuevoArchivo);
			
			escritor.write(Integer.toString(nAlumno[i]));
			
			escritor.close();
			
		}
		
		Interfaz.MostrarMensaje("El proceso de creacin de archivos ha terminado.");

	}

}
